import 'dart:async';

import 'package:flutter/services.dart';

class Printer {
  static const MethodChannel _channel = MethodChannel('printer');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String?> printContent({String content = 'Hello World'}) async {
    final String? result = await _channel.invokeMethod('printContent', <String, dynamic>{
      'content': content,
    });
    return result;
  }
}
